package org.mekelburger.moritz.scanble;

import java.util.Arrays;

/**
 * Created by moritz on 10.11.2014.
 */
public class SimpleBeacon {
    private float[] position;
    private float distance;
    private float distanceError;

    public SimpleBeacon(float[] position, float distance, float distanceError) {
        this.position = position;
        this.distance = distance;
        this.distanceError = distanceError;
    }

    public float[] getPosition() {
        return position;
    }

    public float getDistance() {
        return distance;
    }

    public float getDistanceError() {
        return distanceError;
    }

    @Override
    public String toString() {
        return "SimpleBeacon{" +
                "position=" + Arrays.toString(getPosition()) +
                ", distance=" + getDistance() +
                ", distanceError=" + getDistanceError() +
                '}';
    }
}
